import { IOrderInBucket, IOrderLine } from '@orderingstack/ordering-types';

export interface IGroupedOrderLine extends IOrderLine {
    firstProductQuantity: number;
    itemsToRemove: string[];
    discounted: number;
    discountNames?: string[];
    originalLines: IOrderLine[];
}
export declare function groupOrderLines(array: IOrderLine[]): IGroupedOrderLine[];
export declare function useGroupOrderLines(array: IOrderLine[]): IGroupedOrderLine[];
export declare function getGroupedBucketLines(buckets?: IOrderInBucket[]): IGroupedOrderLine[] | null;
//# sourceMappingURL=useGroupOrderLines.d.ts.map